geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r585536 - /geronimo/gbuild/daily_build_scripts/gbuild.sh
Date Wed, 17 Oct 2007 15:29:46 GMT
Author: gawor
Date: Wed Oct 17 08:29:41 2007
New Revision: 585536

URL: http://svn.apache.org/viewvc?rev=585536&view=rev
Log:
fail build if tests fail or build error

Modified:
    geronimo/gbuild/daily_build_scripts/gbuild.sh

Modified: geronimo/gbuild/daily_build_scripts/gbuild.sh
URL: http://svn.apache.org/viewvc/geronimo/gbuild/daily_build_scripts/gbuild.sh?rev=585536&r1=585535&r2=585536&view=diff
==============================================================================
--- geronimo/gbuild/daily_build_scripts/gbuild.sh (original)
+++ geronimo/gbuild/daily_build_scripts/gbuild.sh Wed Oct 17 08:29:41 2007
@@ -116,6 +116,7 @@
    if [ "$1" = "false" ]
    then
      . /home/prasad/bin/testsuite.sh 2.1
+
      grep "Failed to start Geronimo server" mail.txt
      if [ $? -eq 0 ]
      then
@@ -123,6 +124,12 @@
        y=`grep -B5 "Failed to start Geronimo server" mail.txt | grep "Redirecting"`
        serverLog=`echo $y | awk -F: '{print $2}'`
        cat $serverLog >> mail.txt
+     fi
+
+     grep -E "BUILD ERROR|FAILURE!" mail.txt
+     if [ $? -eq 0 ]
+     then
+       result="failed"
      fi
 
    fi



Mime
View raw message